#
# spec file for package bc (Version 1.06)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  ed readline readline-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs ed file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline readline-devel rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         bc
Copyright:    GPL
Group:        Applications/Math
Autoreqprov:  on
Version:      1.06
Release:      149
Summary:      GNU command line calculator
Source:       bc-%{version}.tar.bz2
Patch:        bc-%{version}.dif
BuildRoot:    /var/tmp/%{name}-build

%description
bc is an interpreter that supports numbers of arbitrary precision and
the interactive execution of statements. There are some
similarities in the syntax to the C programming language. A standard
math library is available through command line options. When used, the
math library is read in before any other input files. bc then reads
in all other files from the command line, evaluating their contents.
Then, bc reads from standard input (usually the keyboard).
The dc program is also included. Dc is a calculator which supports
reverse-polish notation and allows unlimited precision arithmetic.
Macros can also be defined. Normally, dc reads from standard in but
can also read in files specified on the command line. A calculator with
reverse-polish notation saves numbers to a stack. Arguments to
mathematical operations (operands) are "pushed" onto the stack until the
next operator is read in which "pops" its arguments off the stack and
"pushes" its results back onto the stack.

Authors:
--------
    Philip A. Nelson <phil@cs.wwu.edu>

SuSE series: a

%prep
%setup
%patch

%build
%{suse_update_config}
aclocal
automake
autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure --with-readline \
                                    --prefix=/usr \
	                            --infodir=%{_infodir} \
                                    --mandir=%{_mandir} \
                                    %{_target_cpu}-suse-linux
rm bc/libmath.h
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README COPYING.LIB FAQ
/usr/bin/bc
/usr/bin/dc
%doc %{_infodir}/*.info*
%doc %{_mandir}/man1/*

%changelog -n bc
* Thu Apr 12 2001 - cihlar@suse.cz
- fixed to compile
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Tue Dec 05 2000 - cihlar@suse.cz
- added ed to neededforbuild
- fixed to recompile libmath.h
* Mon Oct 30 2000 - cihlar@suse.cz
- update to version 1.6
- added BuildRoot
- bzipped sources
* Tue Sep 26 2000 - schwab@suse.de
- Fix overflow bug in bc scanner.
* Fri Mar 10 2000 - kasal@suse.de
- specfile cleanup
* Fri Feb 25 2000 - kukuk@suse.de
- Use _infodir/_mandir, add group tag
* Thu Nov 25 1999 - kukuk@suse.de
- Remove termcap from needforbuild
* Fri Nov 12 1999 - kukuk@suse.de
- Fix Include paths
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Aug 27 1999 - fehr@suse.de
- chaged to new version 1.05a
* Wed Jul 21 1999 - garloff@suse.de
- added -d to YFLAGS to prevent problem when bison changes
* Tue Sep 22 1998 - ro@suse.de
- dont try to include posix_lim2.h for glibc
* Fri Dec 12 1997 - florian@suse.de
- add many bug-fixes from gnu.utils.bug
* Fri Oct 10 1997 - florian@suse.de
- update to 1.04 and fix rpm spec file
* Thu Jan 02 1997 - florian@suse.de
- add some bug-fixes
